Gazebo | Ignition | Community
Ask Your Question
0

Gazebo 11 installation problems

asked 2020-03-17 14:56:27 -0500

berny gravatar image

Hello to everyone I am trying to install Gazebo 11 in my computer running the downloaded script but i get the following error:

The following packages have unmet dependencies: gazebo11 : Depends: libgazebo11 (= 11.0.0-1~bionic) but it is not going to be installed Recommends: gazebo11-plugin-base libgazebo11-dev : Depends: libgazebo11 (= 11.0.0-1~bionic) but it is not going to be installed Depends: gazebo11-plugin-base (= 11.0.0-1~bionic) E: Unable to correct problems, you have held broken packagessudo

I am running kubuntu 18.03 and have also installed the Robot Operating System (ROS) that using Gazebo 9.

Any suggestions or ideas? Thanks in advance

edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
0

answered 2020-03-30 03:12:35 -0500

I have the same problem. Weirdly enough if you try to install directly libgazebo11 there should be no problem to install it:

sudo apt install libgazebo11

After that you can rerun the installation script and it runs perfectly. But this is not an acceptable solution for me as I am on Docker so having a script that fail is definitely a problem. Can someone provide a solution for the script?

EDIT: I think I figured out what is the problem. I tried to follow the manual installation in http://gazebosim.org/tutorials?tut=in...

I run into the exact same problem when doing sudo apt-get install gazebo11. I believe the script should also install libgazebo11 and it does not. If you include that then it works. Can someone modify the script to include the installation of libgazebo11?

edit flag offensive delete link more
Login/Signup to Answer

Question Tools

1 follower

Stats

Asked: 2020-03-17 14:56:27 -0500

Seen: 703 times

Last updated: Mar 30